package org.nci.dts;

/**
 * <p>All edit actions are specified as a corresponding integer.</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: Apelon Inc.</p>
 * @author Apelon Inc.
 * @version 1.0
 */

public class EditActionConstants {
        /**
        */
	public final static int EDIT_ACTION_CREATE = 1;
        public final static String EDIT_ACTION_CREATE_STR = "create";

        /**
        */
	public final static int EDIT_ACTION_MODIFY = 2;
        public final static String EDIT_ACTION_MODIFY_STR = "modify";

        /**
        */
	public final static int EDIT_ACTION_SPLIT = 3;
        public final static String EDIT_ACTION_SPLIT_STR = "split";

        /**
        */
	public final static int EDIT_ACTION_MERGE = 4;
        public final static String EDIT_ACTION_MERGE_STR = "merge";

        /**
        */
	public final static int EDIT_ACTION_RETIRE = 5;
        public final static String EDIT_ACTION_RETIRE_STR = "retire";

        /**
        */
	public final static int EDIT_ACTION_ANY = 0;

        /**
         * Converts edit action from a constant to its corresponding string value.
        */
        public static String actionToString (int iAction) {
                if (iAction == EDIT_ACTION_CREATE) {
                        return EDIT_ACTION_CREATE_STR;
                } else if (iAction == EDIT_ACTION_MODIFY) {
                        return EDIT_ACTION_MODIFY_STR;
                } else if (iAction == EDIT_ACTION_SPLIT) {
                        return EDIT_ACTION_SPLIT_STR;
                } else if (iAction == EDIT_ACTION_MERGE) {
                        return EDIT_ACTION_MERGE_STR;
                } else if (iAction == EDIT_ACTION_RETIRE) {
                        return EDIT_ACTION_RETIRE_STR;
                } else {
                        return "Invalid Edit Action!";
                }
        }

        /**
         * Converts edit action from a string to its corresponding constant.
        */
        public static int actionToConstant (String iAction) {
                if (iAction.equalsIgnoreCase(EDIT_ACTION_CREATE_STR)) {
                        return EDIT_ACTION_CREATE;
                } else if (iAction.equalsIgnoreCase(EDIT_ACTION_MODIFY_STR)) {
                        return EDIT_ACTION_MODIFY;
                } else if (iAction.equalsIgnoreCase(EDIT_ACTION_SPLIT_STR)) {
                        return EDIT_ACTION_SPLIT;
                } else if (iAction.equalsIgnoreCase(EDIT_ACTION_MERGE_STR)) {
                        return EDIT_ACTION_MERGE;
                } else if (iAction.equalsIgnoreCase(EDIT_ACTION_RETIRE_STR)) {
                        return EDIT_ACTION_RETIRE;
                } else {
                        return -1;
                }
        }
}